/*  ROSA Media Player
    Julia Mineeva, Evgeniy Augin. Copyright (c) 2013 ROSA  <support@rosalab.ru>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "waitwidget.h"

#include <QBoxLayout>
#include <QMovie>
#include <QMouseEvent>
#include <QLabel>

WaitWidget::WaitWidget(QWidget* parent)
    : QWidget(parent)
{    
    setAutoFillBackground(true);
    m_movie = new QMovie(":/icons-png/loader-black.gif");
    m_label = new QLabel(this);
    m_label->setMovie(m_movie);
    QBoxLayout* layout = new QBoxLayout(QBoxLayout::LeftToRight, this);
    layout->addStretch();
    layout->addWidget(m_label);
    layout->addStretch();
    m_movie->start();
    setLayout(layout);
    setMouseTracking(true);
}

void WaitWidget::showEvent (QShowEvent* event)
{
    Q_UNUSED(event)
    raise();
}

void WaitWidget::mouseMoveEvent(QMouseEvent *event)
{
    //send event to parent
    event->ignore();
}
